Bug 85003 - kudzu identifies cdrw incorrectly, mount complains about situation
kudzu identifies cdrw incorrectly, mount complains about situation
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kudzu (Show other bugs)
9
i686 Linux
high Severity high
: ---
: ---
Assigned To: Bill Nottingham
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-02-24 15:18 EST by Jim Cornette
Modified: 2014-03-16 22:34 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-22 10:34:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
similar (4.54 KB, text/plain)
2003-02-24 17:57 EST, Gene Czarcinski
no flags Details

  None (edit)
Description Jim Cornette 2003-02-24 15:18:09 EST
Description of problem:
Using the default setup that kudzu adds to the /etc/fstab file. I cannot mount
my cdrw unit. Kudzu identifies it as /dev/hdd. It should be /dev/scd0

Version-Release number of selected component (if applicable):
kudzu-0.99.96-1
mount-2.11y-6

How reproducible:
Open the "User Mount Tool" or change CDs in CDRW unit

Steps to Reproduce:
1. Open the "User Mount Tool"
2. Try mounting the drive
3. read error message
    
Actual results:

The device produces the below message.

mount: wrong fs type, bad option, bad superblock on /dev/cdrom2,
       or too many mounted file systems
       (could this be the IDE device where you in fact use
       ide-scsi so that sr0 or sda or so is needed?) 

Expected results:
Nautilus file manager to be launched. ICON to be added to the desktop for the
cdrw drive.

Additional info:

After looking through the /dev/ directory. I found the following symlinks.

/dev/cdrom1 (was pointing to /dev/hdd, changed it to point to /dev/scd0). also
removed reference to kudzu in the /etc/fstab file. After rebooting system. I was
able to access this drive through the "User Mount Tool", using my modified entry.

-----------------------------

/dev/cdrom2 was added to my etc/fstab file upon reboot, by kudzu. It created a
symlink to /dev/hdd again. I left this entry in the /etc/fstab file. I assume
that kudzu would add this to the file again.
 
When attempting to mount this entry. The below error message is popped up on the
screen.

mount: wrong fs type, bad option, bad superblock on /dev/cdrom2,
       or too many mounted file systems
       (could this be the IDE device where you in fact use
       ide-scsi so that sr0 or sda or so is needed?)


What's this info: (information about the mystery symlink)

/dev/cdwriter. I am not sure where this symlink came from. I burned a cdrw on
the system and configured xcdroast. I imagine it was related to the scsi scanbus
that cdrecord uses. This symlink points to /dev/sg0

The error message is the below, if this selection is tried.
mount: /dev/cdwriter is not a block device
Comment 1 Bill Nottingham 2003-02-24 16:45:48 EST
Can you post your /etc/sysconfig/hwconf, and your /boot/grub/grub.conf?
Comment 2 Gene Czarcinski 2003-02-24 17:57:56 EST
Created attachment 90330 [details]
similar

Here is mine ... it appears to be the same problem.
Comment 3 Bill Nottingham 2003-02-24 19:41:28 EST
What does your /etc/fstab look like?
Comment 4 Jim Cornette 2003-02-26 18:56:23 EST
 This will be the  /etc/sysconfig/hwconf file. The other file will be for the
next comment.
-
class: OTHER
bus: PCI
detached: 0
driver: agpgart
desc: "Intel Corp.|82815 815 Chipset Host Bridge and Memory Controller Hub"
vendorId: 8086
deviceId: 1130
subVendorId: 15d9
subDeviceId: 1130
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: i810_rng
desc: "Intel Corp.|82801AA PCI Bridge"
vendorId: 8086
deviceId: 2418
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: i810-tco
desc: "Intel Corp.|82801AA ISA Bridge (LPC)"
vendorId: 8086
deviceId: 2410
subVendorId: 0000
subDeviceId: 0000
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Intel Corp.|82801AA IDE"
vendorId: 8086
deviceId: 2411
subVendorId: 8086
subDeviceId: 2411
pciType: 1
-
class: OTHER
bus: PCI
detached: 0
driver: unknown
desc: "Intel Corp.|82801AA SMBus"
vendorId: 8086
deviceId: 2413
subVendorId: 8086
subDeviceId: 2413
pciType: 1
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "Hewlett-Packard ScanJet 2100c"
usbclass: 0
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 2
usbport: 3
vendorId: 03f0
deviceId: 0505
usbmfr: Hewlett-Packard
usbprod: HP ScanJet 2100C
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "Texas Instruments TUSB2046 Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 1
usbport: 1
vendorId: 0451
deviceId: 2046
-
class: OTHER
bus: USB
detached: 0
driver: unknown
desc: "USB UHCI Root Hub"
usbclass: 9
usbsubclass: 0
usbprotocol: 0
usbbus: 1
usblevel: 0
usbport: 0
vendorId: 0000
deviceId: 0000
usbprod: USB UHCI Root Hub
-
class: NETWORK
bus: PCI
detached: 0
device: eth
driver: 3c59x
desc: "3Com Corporation|3c900B-TPO [Etherlink XL TPO]"
vendorId: 10b7
deviceId: 9004
subVendorId: 10b7
subDeviceId: 9004
pciType: 1
-
class: MOUSE
bus: PSAUX
detached: 0
device: psaux
driver: msintellips/2
desc: "Generic PS/2 Wheel Mouse"
-
class: AUDIO
bus: PCI
detached: 0
driver: i810_audio
desc: "Intel Corp.|82801AA AC'97 Audio"
vendorId: 8086
deviceId: 2415
subVendorId: 15d9
subDeviceId: 5933
pciType: 1
-
class: CDROM
bus: IDE
detached: 0
device: hdc
driver: ignore
desc: "CD-ROM Drive/F5B"
-
class: CDROM
bus: SCSI
detached: 0
device: scd0
driver: ignore
desc: "Atapi CD-R/RW 12X8X32"
host: 1
id: 0
channel: 0
lun: 0
generic: sg1
-
class: MODEM
bus: PCI
detached: 0
driver: unknown
desc: "Conexant|HCF 56k Data/Fax Modem"
vendorId: 14f1
deviceId: 1033
subVendorId: 122d
subDeviceId: 4034
pciType: 1
-
class: VIDEO
bus: PCI
detached: 0
driver: Card:Intel 815
desc: "Intel Corp.|82815 CGC [Chipset Graphics Controller]"
vendorId: 8086
deviceId: 1132
subVendorId: 8086
subDeviceId: 0200
pciType: 1
-
class: FLOPPY
bus: MISC
detached: 0
device: fd0
driver: unknown
desc: "3.5" 1.44MB floppy drive"
-
class: HD
bus: USB
detached: 0
driver: usb-storage
desc: "SanDisk Ltd ImageMate 6 in 1"
usbclass: 8
usbsubclass: 6
usbprotocol: 50
usbbus: 1
usblevel: 2
usbport: 2
vendorId: 0781
deviceId: 0621
usbmfr: SanDisk Ltd
usbprod: ImageMate 6 in 1
-
class: HD
bus: IDE
detached: 0
device: hda
driver: ignore
desc: "WDC AC26400B"
physical: 13328/15/63
logical: 784/255/63
-
class: HD
bus: IDE
detached: 0
device: hdb
driver: ignore
desc: "Maxtor 33073H3"
physical: 59556/16/63
logical: 3736/255/63
-
class: HD
bus: SCSI
detached: 0
device: sda
driver: ignore
desc: "Sandisk ImageMate 6 in 1"
host: 0
id: 0
channel: 0
lun: 0
generic: sg0
-
class: PRINTER
bus: PARALLEL
detached: 0
device: lp0
driver: unknown
desc: "Hewlett-Packard DeskJet 810C"
pnpmodel: DESKJET 810C
pnpmfr: HEWLETT-PACKARD
pnpmodes: MLC,PCL,PML
pnpdesc: Hewlett-Packard DeskJet 810C
-
class: USB
bus: PCI
detached: 0
driver: usb-uhci
desc: "Intel Corp.|82801AA USB"
vendorId: 8086
deviceId: 2412
subVendorId: 8086
subDeviceId: 2412
pciType: 1
-
class: MOUSE
bus: PSAUX
detached: 1
device: psaux
driver: generic3ps/2
desc: "Generic 3 Button Mouse (PS/2)"
Comment 5 Jim Cornette 2003-02-26 18:58:44 EST
My /boot/grub/grub.conf reflects the below.

# grub.conf generated by anaconda
#
# Note that you do not have to rerun grub after making changes to this file
# NOTICE:  You have a /boot partition.  This means that
#          all kernel and initrd paths are relative to /boot/, eg.
#          root (hd1,0)
#          kernel /vmlinuz-version ro root=/dev/hdb2
#          initrd /initrd-version.img
#boot=/dev/hda
default=2
timeout=10
splashimage=(hd1,0)/grub/splash.xpm.gz
title Red Hat Linux (2.4.20-2.48)
        root (hd1,0)
        kernel /vmlinuz-2.4.20-2.48 ro root=LABEL=/ hdd=ide-scsi
        initrd /initrd-2.4.20-2.48.img
title Red Hat Linux (2.4.18-24.8.0)
        root (hd1,0)
        kernel /vmlinuz-2.4.18-24.8.0 ro root=LABEL=/ hdd=ide-scsi
        initrd /initrd-2.4.18-24.8.0.img
title DOS
        rootnoverify (hd0,0)
        chainloader +1
Comment 6 Jim Cornette 2003-02-26 19:14:36 EST
This was modified, after the problem  (/etc/fstab). /dev/cdrom1 was edited to
symlink with /dev/scd0 - /dev/cdrom2 was created upon reboot, by some program.

LABEL=/                 /                       ext3    defaults        1 1
LABEL=/boot             /boot                   ext3    defaults        1 2
none                    /dev/pts                devpts  gid=5,mode=620  0 0
/dev/hda1               /dozer                  vfat    noauto,owner    0 0
/dev/hdb3               /home/jim/stuff         ext3    defaults        1 3
none                    /proc                   proc    defaults        0 0
none                    /dev/shm                tmpfs   defaults        0 0
/dev/hdb5               swap                    swap    defaults        0 0
/dev/hdc              /mnt/cdrom              iso9660 noauto,owner,kudzu,ro 0 0
/dev/fd0                /mnt/floppy             auto    noauto,owner,kudzu 0 0
/dev/sda1               /mnt/flash              auto    noauto,owner,kudzu 0 0
/dev/cdrom1             /mnt/cdrom1             udf,iso9660 noauto,owner,ro 0 0
/dev/cdrom2        /mnt/cdrom2             udf,iso9660 noauto,owner,kudzu,ro 0 0
Comment 7 Jim Cornette 2003-09-22 10:34:53 EDT
This problem is not critical for me. After I upgraded some programs to allow me
to run the 2.5 kernel, both the reader and writer CDROMs were mounted as
/dev/scd0 (reader) and /dev/scd1 (burner). I do not have to add hdd=scsi-ide
into the kernel arguments. It seems to work better with no emulation. (ide to scsi).


Note You need to log in before you can comment on or make changes to this bug.